Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoRangeMsg Class Reference
Data Channel

## Description

Represents a data message containing a set of range data.

Inheritance diagram for GoRangeMsg:

## Public Member Functions
GoDataMessageType | GoDataMsg_Type (GoDataMsg message)
| Returns the message type for a data channel message given in a GoDataSet. More...
k16s * | GoRangeMsg_At (GoRangeMsg msg, kSize index)
| Gets a pointer to Range data. More...
kSize | GoRangeMsg_Count (GoRangeMsg msg)
| Gets the count of Range data in this message. More...
k32u | GoRangeMsg_Exposure (GoRangeMsg msg)
| Gets the exposure. More...
GoDataSource | GoRangeMsg_Source (GoRangeMsg msg)
| Gets the Range source. More...
k32s | GoRangeMsg_ZOffset (GoRangeMsg msg)
| Gets the Range z-offset, in micrometers. More...
k32u | GoRangeMsg_ZResolution (GoRangeMsg msg)
| Gets the Range z-resolution, in nanometers. More...

## Member Function Documentation

GoDataMessageType GoDataMsg_Type | ( | GoDataMsg | message | ) |
| inherited

Returns the message type for a data channel message given in a GoDataSet.

Parameters

  message | A data channel message.

Returns
  A GoDataMessageType value.

k16s * GoRangeMsg_At | ( | GoRangeMsg | msg,
|  | kSize | index
| ) |  |

Gets a pointer to Range data.

Parameters

  msg | Message object.
  index | Range array index.

Returns
  Range pointer.

kSize GoRangeMsg_Count | ( | GoRangeMsg | msg | ) |

Gets the count of Range data in this message.

Parameters

  msg | Message object.

Returns
  Count of Range data.

k32u GoRangeMsg_Exposure | ( | GoRangeMsg | msg | ) |

Gets the exposure.

Parameters

  msg | Message object.

Returns
  Exposure in uS.

GoDataSource GoRangeMsg_Source | ( | GoRangeMsg | msg | ) |

Gets the Range source.

Parameters

  msg | Message object.

Returns
  Range source.

k32s GoRangeMsg_ZOffset | ( | GoRangeMsg | msg | ) |

Gets the Range z-offset, in micrometers.

Parameters

  msg | Message object.

Returns
  Z offset (um).

k32u GoRangeMsg_ZResolution | ( | GoRangeMsg | msg | ) |

Gets the Range z-resolution, in nanometers.

Parameters

  msg | Message object.

Returns
  Z resolution (nm).

The documentation for this class was generated from the following file:

- Messages/GoDataTypes.h